# backend/app/routes/tournaments/settings.py


from fastapi import Depends, HTTPException
from sqlalchemy.orm import Session

from ... import crud, schemas
from ...database import get_db
from ...core.auth import get_admin_user
from . import router


@router.get("/{id}/settings", response_model=schemas.TournamentSettingsResponse)
def get_tournament(
    id: str, db: Session = Depends(get_db), user: dict = Depends(get_admin_user)
):
    t = crud.get_tournament(db, id)
    if not t:
        raise HTTPException(404, "Tournament not found")
    return t
